Subject: Re: FVWM: key/mouse bindings in IconMan

From: Dominik Vogt <[email-masked]>
Date: Wed, 1 Sep 2004 14:31:59 +0200

On Tue, Aug 31, 2004 at 07:45:12PM -0500, jpkotta wrote:
> I have a mouse binding for closing windows,
> 	Mouse 1 4M Close
> I would like to be able to close windows by clicking on the corresponding 
> button in IconMan, so I did this:
> 	Style "FvwmIconMan" !Closable
> 	*FvwmIconMan: *action	Mouse	1	4M	sendcommand Close
> It seems like when I click on a button with this binding, fvwm just sends 
> it to IconMan, not the button.  Before I put the !Closable in, IconMan 
> would close.  This binding works fine, because it's not defined anywhere 
> else:
> 	*FvwmIconMan: *action	Mouse	3	4M	sendcommand Close
> 
> However, I would like to have only Mouse 1 4M close windows.  Is there a 
> way to get around this?

With the latest development version that will be released as
2.5.11 (latest CVS snapshot), you can define a window specific
binding that works on all windows but FvwmIconMan:

  Mouse (!FvwmIconMan) 1 4M Close

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]